#include <more/io/filesys.h>
#include <iostream>

int main(int argc,char **argv) {
  if(argc!=2) {
    std::cerr << "usage: " << argv[0] << " file-pattern" << std::endl;
    return 1;
  }
  more::io::file_glob_list files(argv[1]);
  if(files.good() &&
     files.begin()!=files.end())
    for(more::io::file_glob_list::const_iterator i=files.begin();
	i!=files.end();
	++i)
      std::cout << *i << '\n';
  else {
    std::cerr << "not found\n";
    return 1;
  }
}
